{**********************************************************************
                PilotLogic Software House
  
    FPC Package fcl-db

    MariaDB 11.07 Data Dictionary Engine Implementation.
    
    ct9999
 **********************************************************************}
  
unit fpddMariaDB1107;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, sqldb, fpdatadict, fpddsqldb;
  
Type
  { TSQLDBMariaDB1107DDEngine }

  TSQLDBMariaDB1107DDEngine = Class(TSQLDBDDEngine)
  Protected
    Function CreateConnection(AConnectString  : String) : TSQLConnection; override;
  Public
    Class function Description : string; override;
    Class function DBType : String; override;
  end;

Procedure RegisterMariaDB1107DDEngine;
Procedure UnRegisterMariaDB1107DDEngine;

implementation

uses MariaDB1107conn;

Procedure RegisterMariaDB1107DDEngine;

begin
  RegisterDictionaryEngine(TSQLDBMariaDB1107DDEngine);
end;

Procedure UnRegisterMariaDB1107DDEngine;

begin
  UnRegisterDictionaryEngine(TSQLDBMariaDB1107DDEngine);
end;

{ TSQLDBMariaDB1107DDEngine }

function TSQLDBMariaDB1107DDEngine.CreateConnection(AConnectString: String): TSQLConnection;
begin
  Result:=MariaDB1107conn.TMariaDB1107Connection.Create(Self);
end;

class function TSQLDBMariaDB1107DDEngine.Description: string;
begin
  Result:='MariaDB 11.07 connection using SQLDB';
end;

class function TSQLDBMariaDB1107DDEngine.DBType: String;
begin
  Result:='MariaDB 11.07';
end;

end.

